﻿$(function(){
var odstotekIzbranih = 0.4;
var barvaIzbranih = "izbranRoza";
var level = 2;
var topScore = [];
var ime;

$("#game").hide();

//preberemo iz trajnega pomnilnika
if (localStorage.topScore!=undefined) topScore = eval(localStorage.topScore);

function topScoreF() {
	var top = $("#topScores").empty();
	for (var i = 0; i < topScore.length; i++) {
		$("<div>")
		.text(topScore[i].ime+" [Level "+topScore[i].level+"]")
		.appendTo(top);
	}
}
//izpišemo top score
topScoreF();

//dogodek za začetek igre
$("#startGame").click(function(){
	ime = $("#ime").val().trim();
	if (ime=="") {alert("Vpišite ime!");return;}
	barvaIzbranih = $("#barva").val();
	$("#mojeIme").text(ime);
	$("#start").hide();
	$("#game").show();
	init();
});

//začetek levela
function init() {
	//skrijemo gumbe
	$("#preveri, #novaIgra").hide();
	
	// inicializacija tabele
	var table = $("#gameTable").empty();
	for (var i = 0; i < level; i++){
		var row = $("<tr>");
		for (var j = 0; j < level; j++) {
			var  cell = $("<td>");
			if (Math.random() < odstotekIzbranih) //20 % pobarvanih
				cell.addClass("izbran");
			
			row.append(cell);
		}
		table.append(row);
	}

	//po pol sekunde se pobarva
	setTimeout(function() {
		$("#level").text(level);
		$(".izbran").addClass(barvaIzbranih);
		$("#obvestilo").text("Zapomnite si vzorec!");
		//pobarvano ostane 3 sekunde
		setTimeout(function() {
			$(".izbran").removeClass(barvaIzbranih);
			
			//pol sekunde po tem izgine barva in se lahko klika
			setTimeout(function() {
				$("#obvestilo").text("Označite vzorec!");
				
				$("td")
				.addClass("mis") //za mouseover
				.click(function(){
					$(this).toggleClass(barvaIzbranih);
				});
				
				$("#preveri").fadeIn(); //omogočimo gumb preveri
			},500);
		},3000);
		
	},500);
};

//preverjanje pravilnosti
$("#preveri").click(function(){
	var tp = $(".izbran."+barvaIzbranih).html("&#10004;").length;
	var tn = $("td").not(".izbran."+barvaIzbranih).html("&#10004;").length;
	var fp = $("."+barvaIzbranih).not(".izbran").html("&#10006;").length;
	var fn = $(".izbran").not("."+barvaIzbranih).html("<b>?</b>").length;
	if (fp!=0 || fn!=0) {//če se zmotimo potem ponovimo level
		level--;
	} else { //drugače nastavimo top score
		var result = $.grep(topScore, function(e){ return e.ime == ime;});
		if (result.length == 0) {// not found
			topScore.push({ime:ime, level:level});
		} else {
			if (level > result[0].level)
				result[0].level = level;
		}
		topScore.sort(function(a,b){
			if (a.level < b.level) return 1;
			else if (a.level > b.level) return -1;
			else return 0;
		});
		//trajno shranimo
		localStorage.topScore = JSON.stringify(topScore);
		topScoreF(); //izpišemo
	} 
	$("td").removeClass("mis");
	$("#preveri").hide();
	$("#novaIgra").fadeIn();
});

//nova igra
$("#novaIgra").click(function(){
	level++;
	init();	
});

});